<?php
/**
 * Copyright (c) 2015-present, Facebook, Inc. All rights reserved.
 *
 * You are hereby granted a non-exclusive, worldwide, royalty-free license to
 * use, copy, modify, and distribute this software in source code or binary
 * form for use in connection with the web services and APIs provided by
 * Facebook.
 *
 * As with any software that integrates with the Facebook platform, your use
 * of this software is subject to the Facebook Developer Principles and
 * Policies [http://developers.facebook.com/policy/]. This copyright notice
 * shall be included in all copies or substantial portions of the software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 */

namespace FacebookAds\Object\Values;

use FacebookAds\Enum\AbstractEnum;

/**
 * This class is auto-generated.
 *
 * For any issues or feature requests related to this class, please let us know
 * on github and we'll fix in our codegen framework. We'll not be able to accept
 * pull request for this class.
 *
 * @method static AdAccountAdVolumeRecommendationTypeValues getInstance()
 */
class AdAccountAdVolumeRecommendationTypeValues extends AbstractEnum {

  const AB_TEST = 'AB_TEST';
  const ACO_TOGGLE = 'ACO_TOGGLE';
  const ADS_REPORTING = 'ADS_REPORTING';
  const ADVANTAGE_PLUS_CREATIVE = 'ADVANTAGE_PLUS_CREATIVE';
  const AD_OBJECTIVE = 'AD_OBJECTIVE';
  const AEM_V2_INELIGIBLE = 'AEM_V2_INELIGIBLE';
  const AGGREGATED_BID_LIMITED = 'AGGREGATED_BID_LIMITED';
  const AGGREGATED_BUDGET_LIMITED = 'AGGREGATED_BUDGET_LIMITED';
  const AGGREGATED_COST_LIMITED = 'AGGREGATED_COST_LIMITED';
  const AUCTION_OVERLAP = 'AUCTION_OVERLAP';
  const AUCTION_OVERLAP_CONSOLIDATION = 'AUCTION_OVERLAP_CONSOLIDATION';
  const AUDIENCE_EXPANSION = 'AUDIENCE_EXPANSION';
  const AUTOFLOW_OPT_IN = 'AUTOFLOW_OPT_IN';
  const AUTOMATIC_PLACEMENTS = 'AUTOMATIC_PLACEMENTS';
  const AUTO_BID = 'AUTO_BID';
  const BROAD_TARGETING = 'BROAD_TARGETING';
  const CAPI = 'CAPI';
  const CONNECT_FACEBOOK_PAGE_TO_INSTAGRAM = 'CONNECT_FACEBOOK_PAGE_TO_INSTAGRAM';
  const CONNECT_FACEBOOK_PAGE_TO_WHATSAPP = 'CONNECT_FACEBOOK_PAGE_TO_WHATSAPP';
  const COST_GOAL = 'COST_GOAL';
  const COST_GOAL_BUDGET_LIMITED = 'COST_GOAL_BUDGET_LIMITED';
  const COST_GOAL_CPA_LIMITED = 'COST_GOAL_CPA_LIMITED';
  const CREATIVE_BADGE = 'CREATIVE_BADGE';
  const CREATIVE_FATIGUE = 'CREATIVE_FATIGUE';
  const CREATIVE_FATIGUE_HOURLY = 'CREATIVE_FATIGUE_HOURLY';
  const CREATIVE_LIMITED = 'CREATIVE_LIMITED';
  const CREATIVE_LIMITED_HOURLY = 'CREATIVE_LIMITED_HOURLY';
  const DEAD_LINK = 'DEAD_LINK';
  const ECOSYSTEM_BID_REDUCE_L1_CARDINALITY = 'ECOSYSTEM_BID_REDUCE_L1_CARDINALITY';
  const FRAGMENTATION = 'FRAGMENTATION';
  const GES_TEST = 'GES_TEST';
  const LEARNING_LIMITED = 'LEARNING_LIMITED';
  const LOW_OUTCOME = 'LOW_OUTCOME';
  const MMT_CAROUSEL_TO_VIDEO = 'MMT_CAROUSEL_TO_VIDEO';
  const MOBILE_FIRST_VIDEO = 'MOBILE_FIRST_VIDEO';
  const MULTI_TEXT = 'MULTI_TEXT';
  const MUSIC = 'MUSIC';
  const OPTIMAL_SPEND = 'OPTIMAL_SPEND';
  const PAYMENT_METHOD = 'PAYMENT_METHOD';
  const PFR_L1_INLINE_MMT = 'PFR_L1_INLINE_MMT';
  const PREDICTIVE_CREATIVE_LIMITED = 'PREDICTIVE_CREATIVE_LIMITED';
  const PREDICTIVE_CREATIVE_LIMITED_HOURLY = 'PREDICTIVE_CREATIVE_LIMITED_HOURLY';
  const REVERT = 'REVERT';
  const SCALE_GOOD_CAMPAIGN = 'SCALE_GOOD_CAMPAIGN';
  const SEMANTIC_BASED_AUDIENCE_EXPANSION = 'SEMANTIC_BASED_AUDIENCE_EXPANSION';
  const SETUP_PIXEL = 'SETUP_PIXEL';
  const SHOPS_ADS = 'SHOPS_ADS';
  const SIGNALS_GROWTH_CAPI = 'SIGNALS_GROWTH_CAPI';
  const SIX_PLUS_MANUAL_PLACEMENTS = 'SIX_PLUS_MANUAL_PLACEMENTS';
  const SPEND_LIMIT = 'SPEND_LIMIT';
  const SYD_TEST_MODE = 'SYD_TEST_MODE';
  const TOP_ADSETS_WITH_ADS_UNDER_CAP = 'TOP_ADSETS_WITH_ADS_UNDER_CAP';
  const TOP_CAMPAIGNS_WITH_ADS_UNDER_CAP = 'TOP_CAMPAIGNS_WITH_ADS_UNDER_CAP';
  const UNECONOMICAL_ADS_THROTTLING = 'UNECONOMICAL_ADS_THROTTLING';
  const UNUSED_BUDGET = 'UNUSED_BUDGET';
  const ZERO_IMPRESSION = 'ZERO_IMPRESSION';
}
